import { IFilterGroup, IFilterOption } from './filterGroup.service';
export declare class FilterGroupComponent<T> {
    filterGroup: IFilterGroup<T>;
    icon: string;
    disabled: boolean;
    expanded: boolean;
    readonly headerTitle: string;
    toggleExpanded(): void;
    readonly childrenVisible: boolean;
    selectOption(option: IFilterOption<T>): void;
}
